coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/partial2609170000

Querying product (Approval not required)

# 01

Summary

Querying product (Approval not required)

# 02

Details

Available buyer market: Korea, Taiwan

Querying product related info such as shipping and return location.

You may quickly update info on [Product query API (approval not required)] by using this API response message.

Path

GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/partial

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/30100201234/partial

URL API Name

GET_PARTIAL_PRODUCT_BY_PRODUCT_ID
# 03

Path parameters

NameTypeDescription
sellerProductId*string
Registered product ID
Displayed product ID once product is created
# 04

Response body

Response message

NameTypeDescription
codestring
Result code
SUCCES/ERROR
messagestring
Message
dataobject
sellerProductId
data.sellerProductId
integer
Registered product ID
Displayed product ID once product is created (data).
companyContactNumber
data.companyContactNumber
string
Return location contact number
Check on Coupang Wing or by registering return location through Return location query API.
deliveryCharge
data.deliveryCharge
integer
Standard delivery fee
Input one-way delivery fee amount for paid delivery and conditional free delivery.
deliveryChargeOnReturn
data.deliveryChargeOnReturn
integer
Initial shipping fee on return
Shipping fee paid by customer for free delivery return.
deliveryChargeType
data.deliveryChargeType
string
Delivery fee type
Parameter Name Status
FREE free delivery
NOT_FREE paid delivery
CHARGE_RECEIVED fee on arrival
CONDITIONAL_FREE conditional free delivery
● For free delivery:

set up amount for initial shipping fee on return (one-way)[deliveryChargeOnReturn] and return shipping fee (one-way)[returnCharge]
● For paid delivery:
set up amount for standard shipping fee[deliveryCharge] and return shipping fee (one-way)
● For conditional free delivery:
set up amount for standard shipping fee and return shipping fee (one-way)
● For fee on arrival:
Categories applicable for fee on arrival are predefined and shared with seller support center to guide vendors.
※ For [CONDITIONAL_FREE], you may freely set a conditional amount.
Parameter NameStatus
FREE
NOT_FREE
CHARGE_RECEIVED
CONDITIONAL_FREE
deliveryCompanyCode
data.deliveryCompanyCode
string
deliveryMethod
data.deliveryMethod
string
Delivery method
Parameter Name Status
SEQUENCIAL normal delivery(sequential delivery)
COLD_FRESH fresh frozen
MAKE_ORDER made to order
AGENT_BUY purchase agent
VENDOR_DIRECT installation delivery or delivered directly by vendor
“INSTRUCTURE” and “MAKE_ORDER_DIRECT” has been combined to “VENDOR_DIRECT”.
Parameter NameStatus
SEQUENCIAL
COLD_FRESH
MAKE_ORDER
AGENT_BUY
VENDOR_DIRECT
extraInfoMessage
data.extraInfoMessage
string
Message with information on made to orders.
Message to be displayed when customers select delivery type "made to order".
freeShipOverAmount
data.freeShipOverAmount
integer
Conditional amount for free delivery
● Ex) if you want to set condition of at least 10,000 won for free delivery, set [deliveryChargeType] to 'CONDITIONAL_FREE' and input 10000 for [freeShipOverAmount].
※ can only input in 100 won units or more
※ input 0 for free delivery
outboundShippingPlaceCode
data.outboundShippingPlaceCode
integer
Shipping location address code
Mandatory when selecting bundled delivery. Check by using shipping location query API.
pccNeeded
data.pccNeeded
boolean
PCC(personal customs clearance code) required or not
Whether PCC is required for overseas purchasing agency.
  • default value: not required (false)
true Customer can buy after entering PCC (PCC is included in PO)
false Customer can buy without entering PCC
Parameter NameStatus
true
false
remoteAreaDeliverable
data.remoteAreaDeliverable
string
Remote area delivery possible or not
Parameter Name Status
Y remote area delivery possible
N remote area delivery not possible
Parameter NameStatus
Y
N
returnAddress
data.returnAddress
string
Return location address
Check on Coupang Wing or by registering return location through return location query API
returnAddressDetail
data.returnAddressDetail
string
Return location detail address
Check on Coupang Wing or by registering Return location through return location query API
returnCenterCode
data.returnCenterCode
string
Return location center code
Extract and input return location center code after creating return location.
● return location can be created through WING or return location creation API.
● if you are unable to create return location, input "NO_RETURN_CENTERCODE" to manually add return location info.
※ Auto return integration service (Goodsflow) is available only if you have a contracted courier. Return location center code is mandatory.
returnCharge
data.returnCharge
integer
Return shipping fee
One-way delivery fee for picking up return.
returnChargeName
data.returnChargeName
string
Return location name
Check on Coupang Wing or by registering return location through Return location query API.
returnZipCode
data.returnZipCode
string
Return location postal code
Check on Coupang Wing or by registering return location through return location query API
unionDeliveryType
data.unionDeliveryType
string
Bundled delivery possible or not
Parameter Name Status
UNION_DELIVERY bundled delivery possible
NOT_UNION_DELIVERY bundled delivery not possible
※ Condition for bundled delivery:
shipping location info mandatory (only products with same shipping location can be bundled delivered).
Cannot block paid on arrival option.
Parameter NameStatus
UNION_DELIVERY
NOT_UNION_DELIVERY

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": {
    "sellerProductId": 30100201234,
    "deliveryMethod": "SEQUENCIAL",
    "deliveryCompanyCode": "HYUNDAI",
    "deliveryChargeType": "NOT_FREE",
    "deliveryCharge": 2500,
    "freeShipOverAmount": 0,
    "deliveryChargeOnReturn": 0,
    "remoteAreaDeliverable": "N",
    "unionDeliveryType": "NOT_UNION_DELIVERY",
    "returnCenterCode": "56642",
    "returnChargeName": "타워730",
    "companyContactNumber": "02-123-7678",
    "returnZipCode": "13590",
    "returnAddress": "서울특별시 송파구 송파대로 570 (신천동)",
    "returnAddressDetail": "타워",
    "returnCharge": 2500,
    "outboundShippingPlaceCode": 63714,
    "extraInfoMessage": "",
    "pccNeeded": false
  }
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400

Data of product (XXXXXXXXX) doesn't exist.

Check if the sellerProductId is of an existing product.